Loading...
Searching...
No Matches
tagSHPObject Struct Reference

`#include <shapefil.h>`

## Data Fields

int | nSHPType
int | nShapeId
int | nParts
int * | panPartStart
int * | panPartType
int | nVertices
double * | padfX
double * | padfY
double * | padfZ
double * | padfM
double | dfXMin
double | dfYMin
double | dfZMin
double | dfMMin
double | dfXMax
double | dfYMax
double | dfZMax
double | dfMMax
int | bMeasureIsUsed
int | bFastModeReadObject

## Detailed Description

Definition at line 232 of file shapefil.h.

## Field Documentation

## bFastModeReadObject

int tagSHPObject::bFastModeReadObject

Definition at line 258 of file shapefil.h.

Referenced by SHPDestroyObject().

## bMeasureIsUsed

int tagSHPObject::bMeasureIsUsed

Definition at line 257 of file shapefil.h.

Referenced by SHPCreateObject(), and SHPWriteObject().

## dfMMax

double tagSHPObject::dfMMax

Definition at line 255 of file shapefil.h.

Referenced by SHPComputeExtents(), and SHPWriteObject().

## dfMMin

double tagSHPObject::dfMMin

Definition at line 250 of file shapefil.h.

Referenced by SHPComputeExtents(), and SHPWriteObject().

## dfXMax

double tagSHPObject::dfXMax

Definition at line 252 of file shapefil.h.

Referenced by SHPComputeExtents().

## dfXMin

double tagSHPObject::dfXMin

Definition at line 247 of file shapefil.h.

Referenced by SHPComputeExtents().

## dfYMax

double tagSHPObject::dfYMax

Definition at line 253 of file shapefil.h.

Referenced by SHPComputeExtents().

## dfYMin

double tagSHPObject::dfYMin

Definition at line 248 of file shapefil.h.

Referenced by SHPComputeExtents().

## dfZMax

double tagSHPObject::dfZMax

Definition at line 254 of file shapefil.h.

Referenced by SHPComputeExtents(), and SHPWriteObject().

## dfZMin

double tagSHPObject::dfZMin

Definition at line 249 of file shapefil.h.

Referenced by SHPComputeExtents(), and SHPWriteObject().

## nParts

int tagSHPObject::nParts

Definition at line 237 of file shapefil.h.

Referenced by SHPCreateObject(), SHPRewindObject(), and SHPWriteObject().

## nShapeId

int tagSHPObject::nShapeId

Definition at line 235 of file shapefil.h.

Referenced by SHPCreateObject().

## nSHPType

int tagSHPObject::nSHPType

Definition at line 233 of file shapefil.h.

Referenced by SHPCreateObject(), SHPRewindObject(), and SHPWriteObject().

## nVertices

int tagSHPObject::nVertices

Definition at line 241 of file shapefil.h.

Referenced by SHPComputeExtents(), SHPCreateObject(), SHPRewindObject(), and SHPWriteObject().

## padfM

double* tagSHPObject::padfM

Definition at line 245 of file shapefil.h.

Referenced by SHPComputeExtents(), SHPCreateObject(), SHPDestroyObject(), SHPRewindObject(), and SHPWriteObject().

## padfX

double* tagSHPObject::padfX

Definition at line 242 of file shapefil.h.

Referenced by SHPComputeExtents(), SHPCreateObject(), SHPDestroyObject(), SHPRewindObject(), and SHPWriteObject().

## padfY

double* tagSHPObject::padfY

Definition at line 243 of file shapefil.h.

Referenced by SHPComputeExtents(), SHPCreateObject(), SHPDestroyObject(), SHPRewindObject(), and SHPWriteObject().

## padfZ

double* tagSHPObject::padfZ

Definition at line 244 of file shapefil.h.

Referenced by SHPComputeExtents(), SHPCreateObject(), SHPDestroyObject(), SHPRewindObject(), and SHPWriteObject().

## panPartStart

int* tagSHPObject::panPartStart

Definition at line 238 of file shapefil.h.

Referenced by SHPCreateObject(), SHPDestroyObject(), SHPRewindObject(), and SHPWriteObject().

## panPartType

int* tagSHPObject::panPartType

Definition at line 239 of file shapefil.h.

Referenced by SHPCreateObject(), SHPDestroyObject(), and SHPWriteObject().

The documentation for this struct was generated from the following file:

- shapefil.h